ENIC(4)

NAME
enic - VIC Ethernet NIC driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device iflib
device enic

To load the driver as a module at run-time, run the following command as root:

    kldload if_enic

To load the driver as a module at boot time, place the following lines in loader.conf(5):

    if_enic_load="YES"

DESCRIPTION
The enic driver provides support for Cisco Virtual Interface Card. Support is limited to basic network connectivity. Media is controlled by the NIC itself since there can be multiple virtual PCI NIC devices exposed to the PCI bus.

HARDWARE
The enic driver should supports all known Cisco VIC cards.

CONFIGURATION
The enic network interface is configured using ifconfig(8) and the sysctl(8) tree at dev.enic.<N>. All configurable entries are also tunables, and can be put directly into the loader.conf(5) for persistent configuration.

SEE ALSO
ifconfig(8)

HISTORY
The enic device driver first appeared in FreeBSD 14.0.

AUTHORS
-nosplit The enic driver was written by Cisco UCS team based of the DPDK driver.